Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
Problem z Yii Framework
#1
Witam,

Czy ktoś z tego forum interesuje się frameworkiem Yii? Ściągnąłem sobie przed chwilą najnowszą wersję tej zabawki i mam problem z aplikacją yiic.bat (wtajemniczeni będą wiedzieć o co chodzi). Wywala mi brak SSLEAY32.dll przy php.exe. czy zna ktoś rozwiązanie tego problemu? Czy ktoś może mi powiedzieć jak działa ten plik wsadowy, że potrzebuje tej biblioteki przy php.exe? Konfiguracja serwera/komputera ma tu jakieś znaczenie?

Serwer: Apache 2.2
PHP: 5.2
Windows: 7 64biy

Dołączam zrzut błędu:


Załączone pliki
.png   blad yiipng.png (Rozmiar: 27.13 KB / Pobrań: 12)
Jak pomogłem daj '+'. To nie boli, a ja mam satysfakcję Smile

Any sufficiently advanced technology is indistinguishable from magic.
#2
Wpisz w google nazwa + download, sciągnij tą bibliotekę, i wrzuć do windowsa. Nie wiem jak w 7 ale w viscie trzeba było dodać scieżkę do frameworka w systemie. Jeżeli wszystko zrobisz następująca komenda powinna Ci stworzyć projekt:
Kod:
yiic webapp [sciezka_projektu]
[Obrazek: 2guxq1i.gif]
#3
Problemem był Open SSL zawarty w Apache. Zainstalowałem Apache no-ssl i problem znikł (ta biblioteka jest częścią OpenSSL - bynajmniej tak mi się udało wyczytać). Poza tym yiic już jest przeżytkiem, nowy Framework ma wbudowany mechanizm Gii - fajnie się w nim pracuje. Polecam!

Dzięki za odp Dziamber!

[Edit]A i jeszcze jedno: Staram się nie korzystać ze stron typu www.dll-files.com. Nie mam zaufania. Nazwa biblioteki nic nam nie mówi i nie ryzykowałbym późniejszych problemów.
Jak pomogłem daj '+'. To nie boli, a ja mam satysfakcję Smile

Any sufficiently advanced technology is indistinguishable from magic.
#4
Niestety nie jestem już na bieżąco w frameworkach php, stąd takie komendy jakie pamiętam. Co do bezpieczeństwa z takimi bibliotekami masz rację. Problem wyjaśniony, zamykam.
[Obrazek: 2guxq1i.gif]


Skocz do:


Użytkownicy przeglądający ten wątek: 1 gości
Sponsorzy i przyjaciele
Tworzenie sklepów